<?xml version="1.0" encoding="UTF-8"?>
<!-- Impresión 
	:: By Victor Manuel Vargas Mosqueda :: -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:Comprobante="http://www.sat.gob.mx/cfd/2" xmlns:detallista="http://www.sat.gob.mx/detallista">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
	<!--xsl:for-each select="Emisor"-->
		<xsl:element name="Datos">
			<xsl:element name="Emisor">
				<xsl:attribute name="Nombre">
					<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/@nombre"/>
				</xsl:attribute>
				<xsl:attribute name="RFC">
					<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/@rfc"/>
				</xsl:attribute>
				<xsl:attribute name="noProveedor">
					<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:seller/detallista:alternatePartyIdentification"/>
				</xsl:attribute>
				<xsl:element name="Domicilio">
					<xsl:attribute name="Municipio">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:DomicilioFiscal/@municipio"/>
					</xsl:attribute>
					<xsl:attribute name="CodigoPostal">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:DomicilioFiscal/@codigoPostal"/>
					</xsl:attribute>
					<xsl:attribute name="Referencia">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:DomicilioFiscal/@referencia"/>
					</xsl:attribute>
					<xsl:attribute name="Estado">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:DomicilioFiscal/@estado"/>
					</xsl:attribute>
					<xsl:attribute name="Pais">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:DomicilioFiscal/@pais"/>
					</xsl:attribute>
					<xsl:attribute name="noExterior">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:DomicilioFiscal/@noExterior"/>
					</xsl:attribute>
					<xsl:attribute name="Colonia">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:DomicilioFiscal/@colonia"/>
					</xsl:attribute>
					<xsl:attribute name="Localidad">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:DomicilioFiscal/@localidad"/>
					</xsl:attribute>
					<xsl:attribute name="noInterior">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:DomicilioFiscal/@noInterior"/>
					</xsl:attribute>
					<xsl:attribute name="Calle">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:DomicilioFiscal/@calle"/>
					</xsl:attribute>
					<xsl:attribute name="noLclGlobal">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:seller/detallista:gln"/>
					</xsl:attribute>
				</xsl:element>
					<xsl:element name="Sucursal">
						<xsl:attribute name="Municipio">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:ExpedidoEn/@municipio"/>
						</xsl:attribute>
						<xsl:attribute name="CodigoPostal">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:ExpedidoEn/@codigoPostal"/>
						</xsl:attribute>
						<xsl:attribute name="Referencia">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:ExpedidoEn/@referencia"/>
						</xsl:attribute>
						<xsl:attribute name="Estado">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:ExpedidoEn/@estado"/>
						</xsl:attribute>
						<xsl:attribute name="Pais">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:ExpedidoEn/@pais"/>
						</xsl:attribute>
						<xsl:attribute name="noExterior">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:ExpedidoEn/@noExterior"/>
						</xsl:attribute>
						<xsl:attribute name="Colonia">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:ExpedidoEn/@colonia"/>
						</xsl:attribute>
						<xsl:attribute name="Localidad">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:ExpedidoEn/@localidad"/>
						</xsl:attribute>
						<xsl:attribute name="noInterior">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:ExpedidoEn/@noInterior"/>
						</xsl:attribute>
						<xsl:attribute name="Calle">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Emisor/Comprobante:ExpedidoEn/@calle"/>
						</xsl:attribute>
					</xsl:element>
			</xsl:element>
			<xsl:element name="Receptor">
				<xsl:attribute name="Nombre">
					<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Receptor/@nombre"/>
				</xsl:attribute>
				<xsl:attribute name="RFC">
					<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Receptor/@rfc"/>
				</xsl:attribute>
				<xsl:element name="Domicilio">
					<xsl:attribute name="Municipio">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Receptor/Comprobante:Domicilio/@municipio"/>
					</xsl:attribute>
					<xsl:attribute name="CodigoPostal">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Receptor/Comprobante:Domicilio/@codigoPostal"/>
					</xsl:attribute>
					<xsl:attribute name="Referencia">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Receptor/Comprobante:Domicilio/@referencia"/>
					</xsl:attribute>
					<xsl:attribute name="Estado">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Receptor/Comprobante:Domicilio/@estado"/>
					</xsl:attribute>
					<xsl:attribute name="Pais">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Receptor/Comprobante:Domicilio/@pais"/>
					</xsl:attribute>
					<xsl:attribute name="noExterior">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Receptor/Comprobante:Domicilio/@noExterior"/>
					</xsl:attribute>
					<xsl:attribute name="Colonia">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Receptor/Comprobante:Domicilio/@colonia"/>
					</xsl:attribute>
					<xsl:attribute name="Localidad">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Receptor/Comprobante:Domicilio/@localidad"/>
					</xsl:attribute>
					<xsl:attribute name="noInterior">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Receptor/Comprobante:Domicilio/@noInterior"/>
					</xsl:attribute>
					<xsl:attribute name="Calle">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Receptor/Comprobante:Domicilio/@calle"/>
					</xsl:attribute>
					<xsl:attribute name="noLclGlobal">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:buyer/detallista:gln"/>
					</xsl:attribute>
				</xsl:element>
				<xsl:element name="Destino">
					<xsl:attribute name="Nombre">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:shipTo/detallista:nameAndAddress/detallista:name"/>
					</xsl:attribute>
					<xsl:attribute name="CodigoPostal">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:shipTo/detallista:nameAndAddress/detallista:postalCode"/>
					</xsl:attribute>
					<xsl:attribute name="Localidad">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:shipTo/detallista:nameAndAddress/detallista:city"/>
					</xsl:attribute>
					<xsl:attribute name="Calle">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:shipTo/detallista:nameAndAddress/detallista:streetAddressOne"/>
					</xsl:attribute>
					<xsl:attribute name="noLclGlobal">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:shipTo/detallista:gln"/>
					</xsl:attribute>
				</xsl:element>
			</xsl:element>
			<xsl:element name="Documento">
				<xsl:attribute name="TipoDocumento">
					<xsl:variable name="tpodoc" select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:requestForPaymentIdentification/detallista:entityType"/>
					<xsl:choose>
						<xsl:when test="$tpodoc = 'INVOICE'">
							<xsl:text>1</xsl:text>
						</xsl:when>
						<xsl:when test="$tpodoc = 'CREDIT_NOTE'">
							<xsl:text>2</xsl:text>
						</xsl:when>
						<xsl:when test="$tpodoc = 'DEBIT_NOTE'">
							<xsl:text>3</xsl:text>
						</xsl:when>
						<xsl:otherwise><!-- NO DEFINIDO -->
							<xsl:text>0</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:attribute name="TipoMoneda">
					<xsl:variable name="tpomon" select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:currency/@currencyISOCode"/>
					<xsl:choose>
						<xsl:when test="$tpomon = 'MXN'">
							<xsl:text>1</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 'USD'">
							<xsl:text>2</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 'XEU'">
							<xsl:text>3</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>0</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:if test="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:paymentTerms/detallista:netPayment/detallista:paymentTimePeriod/detallista:timePeriodDue/detallista:value != ''">
					<xsl:attribute name="PlazoPago">
						<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:paymentTerms/detallista:netPayment/detallista:paymentTimePeriod/detallista:timePeriodDue/detallista:value"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="TipoCambio">
					<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:currency/detallista:rateOfChange"/>
				</xsl:attribute>
				<xsl:attribute name="ImporteLetra">
					<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:specialInstruction/detallista:text"/>
				</xsl:attribute>
				<xsl:attribute name="Referencia">
					<xsl:value-of select="concat('//',/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:AdditionalInformation/detallista:referenceIdentification)"/>
				</xsl:attribute>
				<xsl:attribute name="ImpNeto">
					<xsl:value-of select="/Comprobante:Comprobante/@subTotal"/>
				</xsl:attribute>
				<xsl:attribute name="ImpTotal">
					<xsl:value-of select="/Comprobante:Comprobante/@total"/>
				</xsl:attribute>
				<xsl:attribute name="ImpImpuestos">
					<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Impuestos/@totalImpuestosTrasladados"/>
				</xsl:attribute>
				<xsl:attribute name="ImpDescuentos">
					<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:TotalAllowanceCharge/detallista:Amount"/>
				</xsl:attribute>
				<xsl:attribute name="Dato1">
					<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:buyer/detallista:contactInformation/detallista:personOrDepartmentName/detallista:text"/>
				</xsl:attribute>
				<xsl:element name="OrdenesCompra">
					<xsl:element name="OrdeneCompra">
						<xsl:attribute name="No">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:orderIdentification/detallista:referenceIdentification"/>
						</xsl:attribute>
						<xsl:attribute name="Fecha">
							<xsl:value-of select="concat(/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:orderIdentification/detallista:ReferenceDate,'T00:00:00')"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:element>
				<xsl:element name="RecibosMercancia">
					<xsl:element name="ReciboMercancia">
						<xsl:attribute name="Folio">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:DeliveryNote/detallista:referenceIdentification"/>
						</xsl:attribute>
						<xsl:attribute name="Fecha">
							<xsl:value-of select="concat(/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:DeliveryNote/detallista:ReferenceDate,'T00:00:00')"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:element>
				<xsl:element name="Partidas">
					<!--xsl:variable name="num" select="count(Comprobante/Complemento/detallista:detallista/detallista:lineItem)"/-->
					<xsl:for-each select="Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:lineItem">
						<xsl:element name="Partida">
							<!--xsl:variable name="num" select="$num + 1"/-->
							<xsl:attribute name="PrecioBruto">
								<xsl:value-of select="detallista:grossPrice/detallista:Amount"/>
							</xsl:attribute>
							<xsl:attribute name="PrecioNeto">
								<xsl:value-of select="detallista:netPrice/detallista:Amount"/>
							</xsl:attribute>
							<xsl:attribute name="ImpNeto">
								<xsl:value-of select="detallista:totalLineAmount/detallista:grossAmount/detallista:Amount"/>
							</xsl:attribute>
							<xsl:attribute name="Cantidad">
								<xsl:value-of select="detallista:invoicedQuantity"/>
							</xsl:attribute>
							<xsl:attribute name="CodigoBarras">
								<xsl:value-of select="detallista:tradeItemIdentification/detallista:gtin"/>
							</xsl:attribute>
							<xsl:attribute name="CodigoCliente">
								<xsl:value-of select="detallista:alternateTradeItemIdentification"/>
							</xsl:attribute>
							<xsl:attribute name="Descripcion">
								<xsl:value-of select="detallista:tradeItemDescriptionInformation/detallista:longText"/>
							</xsl:attribute>
							<xsl:attribute name="UnidadMedida">
								<xsl:value-of select="detallista:invoicedQuantity/@unitOfMeasure"/>
							</xsl:attribute>
							<xsl:attribute name="noLinea"><!-- LLevar un contador -->
								<xsl:value-of select="position()"/>
							</xsl:attribute>
							<xsl:element name="Impuestos">
								<xsl:element name="Impuesto">
									<xsl:attribute name="Importe">
										<xsl:value-of select="detallista:tradeItemTaxInformation/detallista:tradeItemTaxAmount/detallista:taxAmount"/>
									</xsl:attribute>
									<xsl:attribute name="Porcentaje">
										<xsl:value-of select="detallista:tradeItemTaxInformation/detallista:tradeItemTaxAmount/detallista:taxPercentage"/>
									</xsl:attribute>
									<xsl:variable name="TpoImp" select="detallista:tradeItemTaxInformation/detallista:taxTypeDescription"/>
									<xsl:attribute name="Tipo">
										<xsl:choose>
											<xsl:when test="$TpoImp = 'VAT'">
												<xsl:text>IVA</xsl:text>
											</xsl:when>
											<xsl:when test="$TpoImp = 'LAC'">
												<xsl:text>ISR</xsl:text>
											</xsl:when>
											<xsl:when test="$TpoImp = 'GST'">
												<xsl:text>IEPS</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:attribute>
									<xsl:attribute name="Nombre">
										<xsl:choose>
											<xsl:when test="$TpoImp = 'VAT'">
												<xsl:text>Impuesto al valor agregado</xsl:text>
											</xsl:when>
											<xsl:when test="$TpoImp = 'LAC'">
												<xsl:text>Impuesto Sobre la Renta</xsl:text>
											</xsl:when>
											<xsl:when test="$TpoImp = 'GST'">
												<xsl:text>Impuesto Especial sobre Productos y Servicios</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:attribute>
								</xsl:element>
							</xsl:element>
						</xsl:element>
					</xsl:for-each>
				</xsl:element>
				<xsl:element name="Descuentos">
					<xsl:element name="Descuento">
						<xsl:attribute name="Importe">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:TotalAllowanceCharge/detallista:Amount"/>
						</xsl:attribute>
						<xsl:attribute name="Porcentaje">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:allowanceCharge/detallista:monetaryAmountOrPercentage/detallista:rate/detallista:percentage"/>
						</xsl:attribute>
						<xsl:attribute name="Tipo">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:allowanceCharge/detallista:specialServicesType"/>
						</xsl:attribute>
						<xsl:attribute name="Nombre">
							<xsl:variable name="TpoSrv" select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:allowanceCharge/detallista:specialServicesType"/>
							<xsl:choose>
								<xsl:when test="$TpoSrv = 'AA'">
									<xsl:text>Abono por publicidad</xsl:text>
								</xsl:when>
								<xsl:when test="$TpoSrv = 'AJ'">
									<xsl:text>Ajustes</xsl:text>
								</xsl:when>
								<xsl:when test="$TpoSrv = 'L20'">
									<xsl:text>2% S/Mano de obra</xsl:text>
								</xsl:when>
								<xsl:when test="$TpoSrv = 'LPE'">
									<xsl:text>Penalización</xsl:text>
								</xsl:when>
								<xsl:when test="$TpoSrv = 'MRM'">
									<xsl:text>Merma</xsl:text>
								</xsl:when>
								<xsl:when test="$TpoSrv = 'OTR'">
									<xsl:text>Otro</xsl:text>
								</xsl:when>
								<xsl:when test="$TpoSrv = 'PBL'">
									<xsl:text>Publicidad</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>No Definido</xsl:text>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</xsl:element>
				</xsl:element>
				<xsl:element name="Impuestos">
					<xsl:element name="Impuesto">
						<xsl:attribute name="Importe">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Impuestos/Comprobante:Traslados/Comprobante:Traslado/@importe"/>
						</xsl:attribute>
						<xsl:attribute name="Porcentaje">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Impuestos/Comprobante:Traslados/Comprobante:Traslado/@tasa"/>
						</xsl:attribute>
						<xsl:attribute name="Tipo">
							<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Impuestos/Comprobante:Traslados/Comprobante:Traslado/@impuesto"/>
						</xsl:attribute>
						<xsl:attribute name="Nombre">
							<xsl:variable name="tpoimp_t" select="/Comprobante:Comprobante/Comprobante:Impuestos/Comprobante:Traslados/Comprobante:Traslado/@impuesto"/>
							<xsl:choose>
								<xsl:when test="$tpoimp_t = 'IVA'">
									<xsl:text>Impuesto al valor agregado</xsl:text>
								</xsl:when>
								<xsl:when test="$tpoimp_t = 'ISR'">
									<xsl:text>Impuesto Sobre la Renta</xsl:text>
								</xsl:when>
								<xsl:when test="$tpoimp_t = 'IEPS'">
									<xsl:text>Impuesto Especial sobre Productos y Servicios</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</xsl:element>
				</xsl:element>
			</xsl:element>
			<xsl:element name="CFD">
				<xsl:attribute name="noAprobacion">
					<xsl:value-of select="/Comprobante:Comprobante/@noAprobacion"/>
				</xsl:attribute>
				<xsl:attribute name="Serie">
					<xsl:value-of select="/Comprobante:Comprobante/@serie"/>
				</xsl:attribute>
				<xsl:attribute name="Folio">
					<xsl:value-of select="/Comprobante:Comprobante/@folio"/>
				</xsl:attribute>
				<xsl:attribute name="Fecha">
					<xsl:value-of select="/Comprobante:Comprobante/@fecha"/>
				</xsl:attribute>
				<xsl:attribute name="AnioAprobacion">
					<xsl:value-of select="/Comprobante:Comprobante/@anoAprobacion"/>
				</xsl:attribute>
				<xsl:attribute name="noCertificado">
					<xsl:value-of select="/Comprobante:Comprobante/@noCertificado"/>
				</xsl:attribute>
				<xsl:attribute name="Sello">
					<xsl:value-of select="/Comprobante:Comprobante/@sello"/>
				</xsl:attribute>
			</xsl:element>
		</xsl:element>
	<!--/xsl:for-each-->
	</xsl:template>
</xsl:stylesheet>
