<?xml version="1.0" encoding="UTF-8"?>
<!-- ComplementoConcepto PorCuentadeTerceros  v 1.1  Cadena Original:: By Daniel Herrera Tello :: -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" encoding="UTF-8"/>
	<xsl:template match="/">
		<!-- Iniciamos el tratamiento de los campos de terceros -->
		<xsl:for-each select="Datos/Documento/Partidas/Partida">
			<xsl:for-each select="Terceros/Tercero">
				<xsl:text>1.1</xsl:text>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="@RFC"/>
				<xsl:text>|</xsl:text>
				<xsl:if test="@Nombre !=''">
					<xsl:value-of select="@Nombre"/>
					<xsl:text>|</xsl:text>
				</xsl:if>
				<xsl:value-of select="Domicilio/@Calle"/>
				<xsl:text>|</xsl:text>
				<xsl:if test="Domicilio/@noExterior !=''">
					<xsl:value-of select="Domicilio/@noExterior"/>
					<xsl:text>|</xsl:text>
				</xsl:if>
				<xsl:if test="Domicilio/@noInterior !=''">
					<xsl:value-of select="Domicilio/@noInterior"/>
					<xsl:text>|</xsl:text>
				</xsl:if>
				<xsl:if test="Domicilio/@Colonia !=''">
					<xsl:value-of select="Domicilio/@Colonia"/>
					<xsl:text>|</xsl:text>
				</xsl:if>
				<xsl:if test="Domicilio/@Localidad !=''">
					<xsl:value-of select="Domicilio/@Localidad"/>
					<xsl:text>|</xsl:text>
				</xsl:if>
				<xsl:if test="Domicilio/@Referencia !=''">
					<xsl:value-of select="Domicilio/@Referencia"/>
					<xsl:text>|</xsl:text>
				</xsl:if>
				<xsl:value-of select="Domicilio/@Municipio"/>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="Domicilio/@Estado"/>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="Domicilio/@Pais"/>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="Domicilio/@CodigoPostal"/>
				<xsl:text>|</xsl:text>
				<xsl:if test="../../@TotalImpuestoRetenido &gt; 0">
					<xsl:for-each select="../../Impuestos/Impuesto">
						<xsl:choose>
							<xsl:when test="@Tipo='RIVA' or @Tipo='RISR'">
								<xsl:choose>
									<xsl:when test="@Tipo='RIVA'"><xsl:text>IVA</xsl:text></xsl:when>
									<xsl:when test="@Tipo='RISR'"><xsl:text>ISR</xsl:text></xsl:when>
								</xsl:choose>
								<xsl:text>|</xsl:text>	
								<xsl:value-of select="format-number(@Importe,'0.00')"/>
								<xsl:text>|</xsl:text>	
							</xsl:when>
						</xsl:choose>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="../../@TotalImpuestoTrasladado &gt; 0">
					<xsl:for-each select="../../Impuestos/Impuesto">
						<xsl:choose>
							<xsl:when test="@Tipo='IVA' or @Tipo='IEPS'">
								<xsl:value-of select="@Tipo"/>
								<xsl:text>|</xsl:text>
								<xsl:value-of select="format-number(@Porcentaje,'0.00')"/>
								<xsl:text>|</xsl:text>
								<xsl:value-of select="format-number(@Importe,'0.00')"/>
								<xsl:text>|</xsl:text>
							</xsl:when>
						</xsl:choose>
					</xsl:for-each>
				</xsl:if>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>