<?xml version="1.0" encoding="UTF-8"?>
<!-- Complemento Detallistas Cadena Original LIVERPOOL :: By Victor Manuel Vargas Mosqueda :: -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" encoding="UTF-8"/>
	<xsl:template match="/">
		<!-- Iniciamos el tratamiento de los campos de detallista -->
		<xsl:text>AMC8.1</xsl:text>
		<xsl:text>|</xsl:text>
		<xsl:for-each select="Datos/Documento/OrdenesCompra/OrdenCompra">
			<xsl:choose>
				<xsl:when test="substring(@No,1,9) = '000000000'">
					<xsl:value-of select="substring(@No,10,1)"/>
				</xsl:when>
				<xsl:when test="substring(@No,1,8) = '00000000'">
					<xsl:value-of select="substring(@No,9,2)"/>
				</xsl:when>
				<xsl:when test="substring(@No,1,7) = '0000000'">
					<xsl:value-of select="substring(@No,8,3)"/>
				</xsl:when>
				<xsl:when test="substring(@No,1,6) = '000000'">
					<xsl:value-of select="substring(@No,7,4)"/>
				</xsl:when>
				<xsl:when test="substring(@No,1,5) = '00000'">
					<xsl:value-of select="substring(@No,6,5)"/>
				</xsl:when>
				<xsl:when test="substring(@No,1,4) = '0000'">
					<xsl:value-of select="substring(@No,5,6)"/>
				</xsl:when>
				<xsl:when test="substring(@No,1,3) = '000'">
					<xsl:value-of select="substring(@No,4,7)"/>
				</xsl:when>
				<xsl:when test="substring(@No,1,2) = '00'">
					<xsl:value-of select="substring(@No,3,8)"/>
				</xsl:when>
				<xsl:when test="substring(@No,1,1) = '0'">
					<xsl:value-of select="substring(@No,2,9)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@No"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:text>|</xsl:text>
			<!--xsl:value-of select="concat(substring(@Fecha,1,4),substring(@Fecha,6,2),substring(@Fecha,9,2))"/-->
			<xsl:value-of select="substring(@Fecha,1,10)"/>
		</xsl:for-each>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="substring(Datos/Receptor/Domicilio/@noLclGlobal,1,13)"/>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="substring(Datos/Emisor/Domicilio/@noLclGlobal,1,13)"/>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="substring(Datos/Emisor/@noProveedor,1,6)"/>
		<xsl:text>|</xsl:text>
		<xsl:value-of select='format-number(/Datos/Documento/@ImpNeto,"0.00")'/>
		<xsl:text>|</xsl:text>
		<xsl:choose>
			<xsl:when test="Datos/Documento/@ImpDescuentos &gt; 0">
				<xsl:value-of select="Datos/Documento/Descuentos/Descuento/@Tipo"/>
				<xsl:text>|</xsl:text>
				<xsl:value-of select='format-number(Datos/Documento/@ImpDescuentos,"0.00")'/>
				<xsl:text>|</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>AJ|</xsl:text>
				<xsl:value-of select='format-number(0,"0.00")'/>
				<xsl:text>|</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
