<?xml version="1.0" encoding="UTF-8"?>
<!-- ComplementoConcepto PorCuentadeTerceros  v1.1  Recepcion Cadena Original :: CFDI :: By Daniel Herrera Tello  -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:Comprobante="http://www.sat.gob.mx/cfd/3" xmlns:terceros="http://www.sat.gob.mx/terceros">
	<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:for-each select="/Comprobante:Comprobante/Comprobante:Conceptos/Comprobante:Concepto/Comprobante:ComplementoConcepto/terceros:PorCuentadeTerceros">
			<xsl:value-of select="@version"/>
			<xsl:text>|</xsl:text>
			<xsl:value-of select="@rfc"/>
			<xsl:text>|</xsl:text>
			<xsl:value-of select="@nombre"/>
			<xsl:text>|</xsl:text>
			<xsl:value-of select="terceros:InformacionFiscalTercero/@calle"/>
			<xsl:text>|</xsl:text>
			<xsl:if test="terceros:InformacionFiscalTercero/@noExterior !=''">
				<xsl:value-of select="terceros:InformacionFiscalTercero/@noExterior"/>
				<xsl:text>|</xsl:text>
			</xsl:if>
			<xsl:if test="terceros:InformacionFiscalTercero/@noInterior !=''">
				<xsl:value-of select="terceros:InformacionFiscalTercero/@noInterior"/>
				<xsl:text>|</xsl:text>
			</xsl:if>
			<xsl:if test="terceros:InformacionFiscalTercero/@colonia !=''">
				<xsl:value-of select="terceros:InformacionFiscalTercero/@colonia"/>
				<xsl:text>|</xsl:text>
			</xsl:if>
			<xsl:if test="terceros:InformacionFiscalTercero/@localidad !=''">
				<xsl:value-of select="terceros:InformacionFiscalTercero/@localidad"/>
				<xsl:text>|</xsl:text>
			</xsl:if>
			<xsl:if test="terceros:InformacionFiscalTercero/@referencia !=''">
				<xsl:value-of select="terceros:InformacionFiscalTercero/@referencia"/>
				<xsl:text>|</xsl:text>
			</xsl:if>
			<xsl:value-of select="terceros:InformacionFiscalTercero/@municipio"/>
			<xsl:text>|</xsl:text>
			<xsl:value-of select="terceros:InformacionFiscalTercero/@estado"/>
			<xsl:text>|</xsl:text>
			<xsl:value-of select="terceros:InformacionFiscalTercero/@pais"/>
			<xsl:text>|</xsl:text>
			<xsl:value-of select="terceros:InformacionFiscalTercero/@codigoPostal"/>
			<xsl:text>|</xsl:text>
			<xsl:for-each select="terceros:Impuestos/terceros:Retenciones/terceros:Retencion">
				<xsl:value-of select="@impuesto"/>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="@importe"/>
				<xsl:text>|</xsl:text>
			</xsl:for-each>
			<xsl:for-each select="terceros:Impuestos/terceros:Traslados/terceros:Traslado">
				<xsl:value-of select="@impuesto"/>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="@tasa"/>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="@importe"/>
				<xsl:text>|</xsl:text>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
